//
//  ExampleHomeViewController.m
//  Runner
//
//  Created by zhouzhi on 2020/7/15.
//  Copyright © 2020 The Chromium Authors. All rights reserved.
//

#import "ExampleHomeViewController.h"

@interface ExampleHomeViewController ()

@end

@implementation ExampleHomeViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    UIButton *flightBtn = [UIButton buttonWithType:UIButtonTypeCustom];
    [flightBtn setTitle:@"新航变页面" forState:UIControlStateNormal];
    [flightBtn setTitleColor:[UIColor blueColor] forState:UIControlStateNormal];
    flightBtn.frame = CGRectMake([UIScreen mainScreen].bounds.size.width/2 - 60, 80, 120, 40);
    [flightBtn addTarget:self action:@selector(flightBtnClicked) forControlEvents:UIControlEventTouchUpInside];
    [self.view addSubview:flightBtn];
    
    UIButton *bridgeBtn = [UIButton buttonWithType:UIButtonTypeCustom];
    [bridgeBtn setTitle:@"BridgeDemo页面" forState:UIControlStateNormal];
    [bridgeBtn setTitleColor:[UIColor blueColor] forState:UIControlStateNormal];
    bridgeBtn.frame = CGRectMake([UIScreen mainScreen].bounds.size.width/2 - 90, 140, 180, 40);
    [bridgeBtn addTarget:self action:@selector(bridgeBtnClicked) forControlEvents:UIControlEventTouchUpInside];
    [self.view addSubview:bridgeBtn];
}

- (void)flightBtnClicked {
    NSDictionary *params = [NSDictionary dictionaryWithObjectsAndKeys:@(YES), @"un_flutter", @"/flight_dynamic_home", @"flutter_path", nil];
    NSString *paramStr = [[self convertToJsonData:params] stringByAddingPercentEncodingWithAllowedCharacters:[NSCharacterSet URLPathAllowedCharacterSet]];
    FusionPageNaviContext *context = [[FusionPageNaviContext alloc] initWithURL:[NSURL URLWithString:[NSString stringWithFormat:@"page://flight_dynamic_home?params=%@", paramStr]]];
    context.params  = @{};
    context.command = @"init";
    context.animeType = Slide_NaviAnime;
    [self goToPageWithContext:context];
}

- (void)bridgeBtnClicked {
    NSDictionary *params = [NSDictionary dictionaryWithObjectsAndKeys:@(YES), @"un_flutter", @"/bridge_demo", @"flutter_path", nil];
    NSString *paramStr = [[self convertToJsonData:params] stringByAddingPercentEncodingWithAllowedCharacters:[NSCharacterSet URLPathAllowedCharacterSet]];
    FusionPageNaviContext *context = [[FusionPageNaviContext alloc] initWithURL:[NSURL URLWithString:[NSString stringWithFormat:@"page://bridge_demo?params=%@", paramStr]]];
    context.params  = @{};
    context.command = @"init";
    context.animeType = Slide_NaviAnime;
    [self goToPageWithContext:context];
}

- (NSString *)convertToJsonData:(NSDictionary *)dict {
    NSError *error;
    NSData *jsonData = [NSJSONSerialization dataWithJSONObject:dict options:NSJSONWritingPrettyPrinted error:&error];
    NSString *jsonString;
    if (!jsonData) {
        NSLog(@"%@",error);
    } else {
        jsonString = [[NSString alloc]initWithData:jsonData encoding:NSUTF8StringEncoding];
    }
    NSMutableString *mutStr = [NSMutableString stringWithString:jsonString];
    NSRange range = {0,jsonString.length};
    [mutStr replaceOccurrencesOfString:@" " withString:@"" options:NSLiteralSearch range:range];
    NSRange range2 = {0,mutStr.length};
    [mutStr replaceOccurrencesOfString:@"\n" withString:@"" options:NSLiteralSearch range:range2];
    return mutStr;
}

@end
