import 'package:fliggy_router/fliggy_router.dart';
import 'package:flutter/material.dart';
import 'package:ftitlebar/ftitlebar.dart';
import 'package:intl/intl.dart';

class FliggyNavigatorMockImp extends FliggyNavigatorImpl {
  List mockPages = ["flight_lowprice_calendar", "common_city_select"];

  Future<Map> push(BuildContext context, String url, {Map params}) {
    print(url);
    if(mockPages.contains(url)) {
      params['un_flutter'] = true;
      params['flutter_path'] = '/router_mock_page';
    }
    return super.push(context, url, params: params);
  }
}


class RouterMockPage extends StatefulWidget {
  @override
  State<StatefulWidget> createState() {
    return _RouterMockPageState();
  }
}

class _RouterMockPageState extends State<RouterMockPage> {

  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: FTitleBar(
        title: "mock page"
      ),
      body: ListView(
        children: <Widget>[
          Container(
            width: 10,
          ),
          MaterialButton(
            color: Colors.blue,
            textColor: Colors.white,
            child: Text("返回低价日历参数"),
            onPressed: () {
              var now = new DateTime.now().add(Duration(days: 2));
              var formatter = new DateFormat('yyyy-MM-dd');
              FliggyNavigatorApi.getInstance().pop(context, result: {
                "date": formatter.format(now)
              });
            },
          ),
          Container(
            width: 10,
          ),
          MaterialButton(
            color: Colors.blue,
            textColor: Colors.white,
            child: Text("城市 北京"),
            onPressed: () {
              FliggyNavigatorApi.getInstance().pop(context, result: {
                "city_name": "北京",
                "city_type": 0,
                "data_type": "city",
                "iata_code": "BJS"
              });
            },
          ),
          Container(
            width: 10,
          ),
          MaterialButton(
            color: Colors.blue,
            textColor: Colors.white,
            child: Text("城市 广州"),
            onPressed: () {
              FliggyNavigatorApi.getInstance().pop(context, result: {
                "city_name": "广州",
                "city_type": 0,
                "data_type": "city",
                "iata_code": "CAN"
              });
            },
          ),
          Container(
            width: 10,
          ),
          MaterialButton(
            color: Colors.blue,
            textColor: Colors.white,
            child: Text("城市 杭州"),
            onPressed: () {
              FliggyNavigatorApi.getInstance().pop(context, result: {
                "city_name": "杭州",
                "city_type": 0,
                "data_type": "city",
                "iata_code": "HGH"
              });
            },
          ),
        ],
      ),
    );
  }
}