import sys
import os
import re
import math
from optparse import OptionParser

rootdir = os.getcwd()

def runCmd(cmd):
    print cmd
    f = os.popen(cmd)
    text = f.read()
    f.close()
    return text

def readText(path):
    f = open(path, "r")
    text = f.read()
    f.close
    return text

def writeText(path, text):
    f = open(path, "w")
    f.write(text)
    f.close()


def compareVersion(version1, version2):
    l1=version1.split('.')
    l2=version2.split('.')
    for i in range(max(len(l1),len(l2))):
        if(i>=len(l1) and int(l2[i])!=0):return -1
        elif i>=len(l2) and int(l1[i])!=0:return 1
        if(i<len(l1) and i<len(l2)):
            if(int(l1[i])>int(l2[i])):return 1
            elif(int(l2[i])>int(l1[i])): return -1
    return 0

def setLocalProperties(localFlutterDir):
    localPropertiesFile = "%s/.android/local.properties" % rootdir
    text = readText(localPropertiesFile)
    text = re.sub(r"flutter.sdk=.+", "flutter.sdk=%s" % localFlutterDir, text)
    writeText(localPropertiesFile, text)
    print text

def getFlutterPackages(localFlutterDir):
    dirs = os.listdir(localFlutterDir)
    if len(dirs) == 0:
        cmd = "git submodule init && git submodule update"
        print runCmd(cmd)
    # cmd = "%s/bin/flutter --version|grep Flutter" % localFlutterDir
    # versionStr = runCmd(cmd)
    # match = re.search(r"Flutter (\d+\.\d+\.\d+)", versionStr, re.I)
    # if match:
    #     version = match.group(1)
    #     if compareVersion (version, '1.12.13') >= 0:
    #         print "flutter version: %s" % version
    #     else:
    #         cmd = "%s/bin/flutter upgrade" % localFlutterDir
    #         print runCmd(cmd)

    cmd = "%s/bin/flutter packages upgrade" % localFlutterDir
    print runCmd(cmd)

SUBPROJECTS = '''
def projectRoot = buildscript.sourceFile.parentFile.parentFile
subprojects {
    //apply from: "${projectRoot}/upload.gradle"
'''

MAVENREPO = '''
        maven {
            url "http://mvnrepo.alibaba-inc.com/mvn/repository"
        }
        mavenLocal()
        '''


def replaceBuildGradle():
    localAndroidDir = "%s/.android" % rootdir
    if os.path.exists(localAndroidDir):
        androidBuildGradle = "%s/build.gradle" % localAndroidDir
        text = readText(androidBuildGradle)
        text = re.sub(r"allprojects {", SUBPROJECTS, text)
        text = re.sub(r"google\(\)", MAVENREPO, text)
        writeText(androidBuildGradle, text)

def replacePluginsGradle():
    pluginsFile = "%s/.flutter-plugins" % rootdir
    pluginsFileText = readText(pluginsFile)
    lines = pluginsFileText.split("\n")
    for line in lines:
        if line.strip().startswith("#"):
            continue
        props = line.split("=")
        if len(props) > 1:
            pluginDir = props[1]
            pluginGradleFile = "%s/android/build.gradle" % pluginDir
            pluginGradleText = readText(pluginGradleFile)
            pluginGradleText = re.sub(r"google\(\)", MAVENREPO, pluginGradleText)
            writeText(pluginGradleFile, pluginGradleText)

def replacePubspecYaml(bundleName, branchName):
    fportalYaml = "%s/pubspec.yaml" % (rootdir)
    fportalText = readText(fportalYaml)
    # print fportalText

    regex = "%s:[\s\n\r]+?git:[\s\n\r]+?url:[\s\S]+?ref:.+" % bundleName
    # print regex
    bundleMatch = re.search(regex, fportalText, re.M)
    if bundleMatch:
        matchText = bundleMatch.group(0)
        # print matchText
        if matchText != None and len(matchText) > 0:
            newDeps = re.sub(r"ref: *'\w+'", "ref: '%s'" % branchName, matchText)
            # print newDeps
            fportalText = fportalText.replace(matchText, newDeps)
            # print fportalText
            writeText(fportalYaml, fportalText)

def replaceBranch(options):
    if options.ref and len(options.ref) > 0:
        branchInfos = options.ref.split(",")
        for branchInfo in branchInfos:
            bundleName, branchName = branchInfo.split(":")
            replacePubspecYaml(bundleName, branchName)


def buildOptionParser():
    usage = "./prebuild.sh --ref=fbridge:dev_123456,ftitlebar:dev_123456"
    optParser = OptionParser(usage)
    optParser.add_option("--ref", type="string", dest = "ref", help="replace ref")
    return optParser

if __name__ == '__main__':
    optParser = buildOptionParser()
    options, args = optParser.parse_args(sys.argv)
    replaceBranch(options)

    localFlutterDir = "%s/.flutter" % rootdir
    # getFlutterPackages(localFlutterDir)
    # setLocalProperties(localFlutterDir)
    replaceBuildGradle()
    replacePluginsGradle()




