import 'package:fflight/common/utils.dart';

int getWeekday(String date) {
  int r = DateTime.monday;
  if (textNotEmpty(date)) {
    r = DateTime.parse(date).weekday;
  }
  return r;
}

String weekdayCN(int weekday) {
  String r = '';
  switch (weekday) {
    case DateTime.monday:
      r = '周一';
      break;
    case DateTime.tuesday:
      r = '周二';
      break;
    case DateTime.wednesday:
      r = '周三';
      break;
    case DateTime.thursday:
      r = '周四';
      break;
    case DateTime.friday:
      r = '周五';
      break;
    case DateTime.saturday:
      r = '周六';
      break;
    case DateTime.sunday:
      r = '周日';
      break;
  }
  return r;
}

/// 返回两个 a日期 和 b日期 相差的天数
int daysBetween(DateTime a, DateTime b, [bool ignoreTime = true]) {
  a = DateTime.parse(dateFormat(a, 'yyyy-MM-dd'));
  b = DateTime.parse(dateFormat(b, 'yyyy-MM-dd'));
  return a.difference(b).inDays;
}

int stringDaysBetween(String a, String b, [bool ignoreTime = true]) {
  if (textNotEmpty(a) && textNotEmpty(b)) {
    return daysBetween(DateTime.parse(a), DateTime.parse(b), ignoreTime);
  } else {
    return 0;
  }
}

String stringDateFormat(String date, String format, {bool isTwin = true}) {
  if (textIsEmpty(date) || textIsEmpty(format)) return "";
  return dateFormat(DateTime.parse(date), format, isTwin: isTwin);
}

String dateFormat(DateTime dateTime, String format, {bool isTwin = true}) {
  String yyyy = dateTime.year.toString();
  String MM = isTwin
      ? (dateTime.month < 10 ? '0${dateTime.month}' : dateTime.month).toString()
      : dateTime.month.toString();
  String dd = isTwin
      ? (dateTime.day < 10 ? '0${dateTime.day}' : dateTime.day).toString()
      : dateTime.day.toString();
  String hh = isTwin
      ? (dateTime.hour < 10 ? '0${dateTime.hour}' : dateTime.hour).toString()
      : dateTime.hour.toString();
  String mm = isTwin
      ? (dateTime.minute < 10 ? '0${dateTime.minute}' : dateTime.minute)
          .toString()
      : dateTime.minute.toString();
  String ss = isTwin
      ? (dateTime.second < 10 ? '0${dateTime.second}' : dateTime.second)
          .toString()
      : dateTime.second.toString();
  String r = format
      .replaceFirst('yyyy', yyyy)
      .replaceFirst('MM', MM)
      .replaceFirst('dd', dd)
      .replaceFirst('hh', hh)
      .replaceFirst('mm', mm)
      .replaceFirst('ss', ss);
  return r;
}


String getBeforeDate(int dur){
  var today = DateTime.now();   // 2019-11-08 02:54:53.218443
  var fiftyDaysAgo = today.subtract(new Duration(days: dur));
 return  dateFormat(fiftyDaysAgo, 'yyyy-MM-dd');
}


//int afterTodayNum(String date) {
//  int num = 0;
//  var today = DateTime.now();
//  var otherDay = DateTime.parse(date);
//  if (today.isBefore(otherDay)) {
//    int year = otherDay.year - today.year;
//  }
//  return num;
//}
