/// 只包含字母和数字
const REG_ALPHABET_NUMBER = r"^[ZA-ZZa-z0-9_]+$";

/// 只包含大写字母和数字
const REG_UPPERCASE_NUMBER = r"^[ZA-Z0-9_]+$";

/// 邮箱
const REG_EMAIL = r"^\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*$";

/// 手机号
const REG_CN_PHONE_NUMBER = r"^\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*$";

/// 验证是否只包含字母和数字
bool isAlphabetNumber(String str) {
  return RegExp(REG_ALPHABET_NUMBER).hasMatch(str);
}

/// 手机号验证
bool isCNPhoneNum(String str) {
  return RegExp(REG_CN_PHONE_NUMBER).hasMatch(str);
}

/// 邮箱验证
bool isEmail(String str) {
  return RegExp(REG_EMAIL).hasMatch(str);
}
