import 'package:fbridge/fbridge.dart';
import 'package:fflight/common/base_page.dart';
import 'package:fflight/common/utils.dart';
import 'package:flutter/cupertino.dart';

track_click(BuildContext context, PageTracker pageTracker,
    {Map args, String ctrlName, String ctrlSpm}) {
  Map params = {
    "pageName": pageTracker.getPageName(),
  };
  if (args != null) {
    params.addAll(args);
  }
  if (textNotEmpty(ctrlName)) {
    params["comName"] = ctrlName;
  }
  params["spm"] = textNotEmpty(ctrlSpm) ? ctrlSpm : pageTracker.getPageSpmCnt();
  FBridgeApi.newInstance(context).call("userTrack", {
    "action": "click",
    "params": params,
  });
}

track_page(BuildContext context, PageTracker pageTracker,
    {Map args}) {
  Map params = {
    "pageName": pageTracker.getPageName(),
  };
  if (args != null) {
    params.addAll(args);
  }
  params["spm-cnt"] =  pageTracker.getPageSpmCnt();
  FBridgeApi.newInstance(context).call("userTrack", {
    "action": "enter",
    "params": params,
  });
}

