//import 'dart:js';

import 'package:fbridge/fbridge.dart';
import 'package:flutter/material.dart';
import 'dart:math' as Math;

import 'package:fliggy_router/fliggy_router.dart';

SizedBox EMPTY_WIDGET = SizedBox();

bool textIsEmpty(String text) {
  return text == null || text.length == 0;
}

bool textNotEmpty(String text) {
  return !textIsEmpty(text);
}

String safeString(String s, {String defaultString}) {
  return textIsEmpty(s) ? (defaultString ?? '') : s;
}

EdgeInsets safeEdgeInsets(
    {double left = 0, double right = 0, double top = 0, double bottom = 0}) {
  return EdgeInsets.fromLTRB(
    left < 0 ? 0 : left,
    top < 0 ? 0 : top,
    right < 0 ? 0 : right,
    bottom < 0 ? 0 : bottom,
  );
}

Color color(String color, {String defaultColor}) {
  // 如果传入的十六进制颜色值不符合要求，返回默认值
  if (color == null ||
      color.length != 7 ||
      int.tryParse(color.substring(1, 7), radix: 16) == null) {
    color = defaultColor ?? '#000000';
  }
  return Color(int.parse(color.substring(1, 7), radix: 16) + 0xFF000000);
}

double textSpace(double textSize, {bool notCN = false}) {
  if (notCN) {
    return (textSize * (28.0 / 24.0) - textSize) / 2.0;
  } else {
    return (textSize * (19.0 / 13.0) - textSize) / 2.0;
  }
}

showFLoading(BuildContext context) {
  FBridgeApi.newInstance(context).call('open_loading_view');
}

hideFLoading(BuildContext context) {
  FBridgeApi.newInstance(context).call('close_loading_view');
}

/// 角度转弧度
double degree2Radian(int degree) {
  return (Math.pi * degree / 180);
}

openFlutterPage(BuildContext context, String pageName, Map args){
  args["un_flutter"] = true;
  args["flutter_path"] = "/$pageName";
  return FliggyNavigatorApi.getInstance().push(context, "page://$pageName", params: args);
}
