import 'package:flutter/material.dart';

Widget divider({double height, double width, Color color}) {
  Widget divider = Divider(
    height: height,
    color: color,
  );
  if (width != null) {
    divider = SizedBox(
      width: width,
      child: divider,
    );
  }
  return divider;
}

Widget verticalDivider({double height, double width, Color color}) {
  Widget divider = VerticalDivider(
    width: width,
    color: color,
  );
  if (width != null) {
    divider = SizedBox(
      height: height,
      child: divider,
    );
  }
  return divider;
}

Widget images(
  String name, {
  Key key,
  double scale,
  double width,
  double height,
  Color color,
  BlendMode colorBlendMode,
  BoxFit fit,
  AlignmentGeometry alignment = Alignment.center,
  ImageRepeat repeat = ImageRepeat.noRepeat,
  FilterQuality filterQuality = FilterQuality.low,
}) {
  return name == null
      ? null
      : Image.asset(
          'images/' + name,
          key: key,
          package: 'fflight',
          scale: scale,
          width: width,
          height: height,
          color: color,
          colorBlendMode: colorBlendMode,
          fit: fit,
          alignment: alignment,
          repeat: repeat,
          filterQuality: filterQuality,
        );
}
