class FlightDynamicDetailNetData {
  FlightDynamicDetailData result;
  bool failure;

  static FlightDynamicDetailNetData fromMap(dynamic map) {
    if (map == null) return null;
    FlightDynamicDetailNetData data = new FlightDynamicDetailNetData();
    data.result = FlightDynamicDetailData.fromMap(map['result']);
    data.failure = map['failure'];
    return data;
  }
}

class FlightDynamicDetailData {
  FlightInfoData flightInfo;
  PreflightInfoData preflightInfo;
  PlaneInfoData planeInfo;
  CheckInfoData checkInfo;
  ScheduleInfoData scheduleInfo;
  String orderId;

  static FlightDynamicDetailData fromMap(dynamic map) {
    if (map == null) return null;
    FlightDynamicDetailData data = new FlightDynamicDetailData();
    data.flightInfo = FlightInfoData.fromMap(map['flightInfo']);
    data.preflightInfo = PreflightInfoData.fromMap(map['preflightInfo']);
    data.planeInfo = PlaneInfoData.fromMap(map['planeInfo']);
    data.checkInfo = CheckInfoData.fromMap(map['checkInfo']);
    data.scheduleInfo = ScheduleInfoData.fromMap(map['scheduleInfo']);
    data.orderId = map['orderId'];
    return data;
  }
}

class FlightInfoData {
  bool national;
  bool attention;
  String airlineCode;
  String airlineName;
  String airlineIcon;
  String flightNo;
  String depTime;
  String arrTime;
  String depAirport;
  String arrAirport;
  String depTerm;
  String arrTerm;
  String depAirportCode;
  String arrAirportCode;
  String depCity;
  String arrCity;
  String depCityCode;
  String arrCityCode;
  String meal;
  String wifi;
  String onTimeRateHis;
  String boradStatus;
  String flightStatus;
  ShowData showData;

  static FlightInfoData fromMap(dynamic map) {
    if (map == null) return null;
    FlightInfoData data = new FlightInfoData();
    data.national = map['national'];
    data.attention = map['attention'];
    data.airlineCode = map['airlineCode'];
    data.airlineName = map['airlineName'];
    data.airlineIcon = map['airlineIcon'];
    data.flightNo = map['flightNo'];
    data.depTime = map['depTime'];
    data.arrTime = map['arrTime'];
    data.depAirport = map['depAirport'];
    data.arrAirport = map['arrAirport'];
    data.depTerm = map['depTerm'];
    data.arrTerm = map['arrTerm'];
    data.depAirportCode = map['depAirportCode'];
    data.arrAirportCode = map['arrAirportCode'];
    data.depCity = map['depCity'];
    data.arrCity = map['arrCity'];
    data.depCityCode = map['depCityCode'];
    data.arrCityCode = map['arrCityCode'];
    data.meal = map['meal'];
    data.wifi = map['wifi'];
    data.onTimeRateHis = map['onTimeRateHis'];
    data.boradStatus = map['boradStatus'];
    data.flightStatus = map['flightStatus'];
    data.showData = ShowData.fromMap(map['showData']);
    return data;
  }
}

class ShowData {
  String flightStatusColor;
  String flightStatusTips;
  String landTips;
  String jourWarnTips;

  static ShowData fromMap(dynamic map) {
    if (map == null) return null;
    ShowData data = new ShowData();
    data.flightStatusColor = map['flightStatusColor'];
    data.flightStatusTips = map['flightStatusTips'];
    data.landTips = map['landTips'];
    data.jourWarnTips = map['jourWarnTips'];
    return data;
  }
}

class PreflightInfoData {
  String flightNo;
  String flightStatus;
  String flightStatusColor;
  String flightStatusTips;

  static PreflightInfoData fromMap(dynamic map) {
    if (map == null) return null;
    PreflightInfoData data = new PreflightInfoData();
    data.flightNo = map['flightNo'];
    data.flightStatus = map['flightStatus'];
    data.flightStatusColor = map['flightStatusColor'];
    data.flightStatusTips = map['flightStatusTips'];
    return data;
  }
}

class PlaneInfoData {
  String planeAge;
  String planeType;
  String flyTime;
  String flyDistance;

  static PlaneInfoData fromMap(dynamic map) {
    if (map == null) return null;
    PlaneInfoData data = new PlaneInfoData();
    data.planeAge = map['planeAge'];
    data.planeType = map['planeType'];
    data.flyTime = map['flyTime'];
    data.flyDistance = map['flyDistance'];
    return data;
  }
}

class CheckInfoData {
  String door;
  String counterInfo;
  String gate;
  bool isShuttleBus;
  String carousel;

  static CheckInfoData fromMap(dynamic map) {
    if (map == null) return null;
    CheckInfoData data = new CheckInfoData();
    data.door = map['door'];
    data.counterInfo = map['counterInfo'];
    data.gate = map['gate'];
    data.isShuttleBus = map['isShuttleBus'];
    data.carousel = map['carousel'];
    return data;
  }
}

class ScheduleInfoData {
  String consumeTime;
  String firstRawArrTime;
  String secondRawDepTime;
  String firstRawArr;
  String depTime;
  String arrPlanTime;
  String secondRawArr;
  String depDesc;
  String arrDesc;
  String secondRawArrTime;
  String firstRawDep;
  String firstRawDepTime;
  String arrTime;
  String secondRawDep;
  String depPlanTime;

  static ScheduleInfoData fromMap(dynamic map) {
    if (map == null) return null;
    ScheduleInfoData data = new ScheduleInfoData();
    data.consumeTime = map['consumeTime'];
    data.firstRawArrTime = map['firstRawArrTime'];
    data.secondRawDepTime = map['secondRawDepTime'];
    data.firstRawArr = map['firstRawArr'];
    data.depTime = map['depTime'];
    data.arrPlanTime = map['arrPlanTime'];
    data.secondRawArr = map['secondRawArr'];
    data.depDesc = map['depDesc'];
    data.arrDesc = map['arrDesc'];
    data.secondRawArrTime = map['secondRawArrTime'];
    data.firstRawDep = map['firstRawDep'];
    data.firstRawDepTime = map['firstRawDepTime'];
    data.arrTime = map['arrTime'];
    data.secondRawDep = map['secondRawDep'];
    data.depPlanTime = map['depPlanTime'];
    return data;
  }
}
