
class FlightDynamicLocusNetData {
  bool failure;
  List<FlightDynamicLocusCellData> result;

  static FlightDynamicLocusNetData fromMap(dynamic map) {
    if (map == null) return null;
    FlightDynamicLocusNetData data = FlightDynamicLocusNetData();
    data.result = FlightDynamicLocusCellData.fromMapList(map['result']);
    return data;
  }
}

class FlightDynamicLocusCellData{
  String gmtLocalCreate;
  String gmtCreate;
  FlightDynamicLocusShowData showData;
  static FlightDynamicLocusCellData fromMap(dynamic map) {
    if (map == null) return null;
    FlightDynamicLocusCellData data = FlightDynamicLocusCellData();
    data.gmtLocalCreate = map['gmtLocalCreate'];
    data.gmtCreate = map['gmtCreate'];
    data.showData = FlightDynamicLocusShowData.fromMap(map['showData']);
    return data;
  }

  static List<FlightDynamicLocusCellData> fromMapList(dynamic mapList) {
    if (mapList == null) return null;
    List<FlightDynamicLocusCellData> list = new List(mapList.length);
    for (int i = 0; i < mapList.length; i++) {
      list[i] = fromMap(mapList[i]);
    }
    return list;
  }
}

class FlightDynamicLocusShowData{
   String createTimeDes;
   String createTimeColor;
   String trackerTitleDes;
   String trackerTitleColor;
   String trackerRemarkDes;
   String trackerRemarkColor;

   static FlightDynamicLocusShowData fromMap(dynamic map) {
     if (map == null) return null;
     FlightDynamicLocusShowData data = FlightDynamicLocusShowData();
     data.createTimeDes = map['createTimeDes'];
     data.createTimeColor = map['createTimeColor'];
     data.trackerTitleDes = map['trackerTitleDes'];
     data.trackerTitleColor = map['trackerTitleColor'];
     data.trackerRemarkDes = map['trackerRemarkDes'];
     data.trackerRemarkColor = map['trackerRemarkColor'];
     return data;
   }

}
