/// national : true
/// attention : true
/// airlineCode : "MU（航司二字码）"
/// airlineIcon : "航司logo地址"
/// airlineName : "航司名称"
/// flightNo : "CA1710（航班号）"
/// depTime : "2018-02-03 12:12"
/// arrTime : "2018-02-05 12:12"
/// depAirport : "出发机场名称"
/// arrAirport : "到达机场名称"
/// depTerm : "T3"
/// arrTerm : "T1"
/// depAirportCode : "AAA"
/// arrAirportCode : "AAA"
/// depCity : "北京"
/// arrCity : "杭州"
/// depCityCode : "BBB"
/// arrCityCode : "BBB"
/// meal : "餐食"
/// wifi : "提供"
/// onTimeRateHis : "历史准点率"
/// flightStatus : "计划"
/// showData : {"flightStatusColor":"#ffffff","flightStatusTips":"提示信息","landTips":"备降信息"}

class FlightDynamicListCellData {
  bool national;
  bool attention;
  String airlineCode;
  String airlineIcon;
  String airlineName;
  String flightNo;
  String depTime;
  String arrTime;
  String depAirport;
  String arrAirport;
  String depTerm;
  String arrTerm;
  String depAirportCode;
  String arrAirportCode;
  String depCity;
  String arrCity;
  String depCityCode;
  String arrCityCode;
  String meal;
  String wifi;
  String onTimeRateHis;
  String flightStatus;
  ShowDataBean showData;

  static FlightDynamicListCellData fromMap(dynamic map) {
    if (map == null) return null;
    FlightDynamicListCellData flightDynamicListCellDataBean =
        FlightDynamicListCellData();
    flightDynamicListCellDataBean.national = map['national'];
    flightDynamicListCellDataBean.attention = map['attention'];
    flightDynamicListCellDataBean.airlineCode = map['airlineCode'];
    flightDynamicListCellDataBean.airlineIcon = map['airlineIcon'];
    flightDynamicListCellDataBean.airlineName = map['airlineName'];
    flightDynamicListCellDataBean.flightNo = map['flightNo'];
    flightDynamicListCellDataBean.depTime = map['depTime'];
    flightDynamicListCellDataBean.arrTime = map['arrTime'];
    flightDynamicListCellDataBean.depAirport = map['depAirport'];
    flightDynamicListCellDataBean.arrAirport = map['arrAirport'];
    flightDynamicListCellDataBean.depTerm = map['depTerm'];
    flightDynamicListCellDataBean.arrTerm = map['arrTerm'];
    flightDynamicListCellDataBean.depAirportCode = map['depAirportCode'];
    flightDynamicListCellDataBean.arrAirportCode = map['arrAirportCode'];
    flightDynamicListCellDataBean.depCity = map['depCity'];
    flightDynamicListCellDataBean.arrCity = map['arrCity'];
    flightDynamicListCellDataBean.depCityCode = map['depCityCode'];
    flightDynamicListCellDataBean.arrCityCode = map['arrCityCode'];
    flightDynamicListCellDataBean.meal = map['meal'];
    flightDynamicListCellDataBean.wifi = map['wifi'];
    flightDynamicListCellDataBean.onTimeRateHis = map['onTimeRateHis'];
    flightDynamicListCellDataBean.flightStatus = map['flightStatus'];
    flightDynamicListCellDataBean.showData =
        ShowDataBean.fromMap(map['showData']);
    return flightDynamicListCellDataBean;
  }

  Map toJson() => {
        "national": national,
        "attention": attention,
        "airlineCode": airlineCode,
        "airlineIcon": airlineIcon,
        "airlineName": airlineName,
        "flightNo": flightNo,
        "depTime": depTime,
        "arrTime": arrTime,
        "depAirport": depAirport,
        "arrAirport": arrAirport,
        "depTerm": depTerm,
        "arrTerm": arrTerm,
        "depAirportCode": depAirportCode,
        "arrAirportCode": arrAirportCode,
        "depCity": depCity,
        "arrCity": arrCity,
        "depCityCode": depCityCode,
        "arrCityCode": arrCityCode,
        "meal": meal,
        "wifi": wifi,
        "onTimeRateHis": onTimeRateHis,
        "flightStatus": flightStatus,
        "showData": showData,
      };

  static List<FlightDynamicListCellData> fromMapList(dynamic mapList) {
    if (mapList == null) return null;
    List<FlightDynamicListCellData> list = new List(mapList.length);
    for (int i = 0; i < mapList.length; i++) {
      list[i] = fromMap(mapList[i]);
    }
    return list;
  }
}

/// flightStatusColor : "#ffffff"
/// flightStatusTips : "提示信息"
/// landTips : "备降信息"

class ShowDataBean {
  String flightStatusColor;
  String flightStatusTips;
  String landTips;

  static ShowDataBean fromMap(dynamic map) {
    if (map == null) return null;
    ShowDataBean showDataBean = ShowDataBean();
    showDataBean.flightStatusColor = map['flightStatusColor'];
    showDataBean.flightStatusTips = map['flightStatusTips'];
    showDataBean.landTips = map['landTips'];
    return showDataBean;
  }

  Map toJson() => {
        "flightStatusColor": flightStatusColor,
        "flightStatusTips": flightStatusTips,
        "landTips": landTips,
      };
}
