import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class RectClipper extends CustomClipper<Path> {
  double width;
  double height;
  double corner;
  double leftOffset;
  double topOffset;

  RectClipper({
    this.width,
    this.height,
    this.corner = 0.0,
    this.leftOffset = 0.0,
    this.topOffset = 0.0,
  });

  @override
  Path getClip(Size size) {
    Path path = Path();
    path.addRRect(RRect.fromLTRBR(leftOffset, topOffset, width ??= size.width,
        height ??= size.height, Radius.circular(corner)));
    path.lineTo(size.width, 0);
    path.quadraticBezierTo(
        size.width - 9, size.height / 2, size.width, size.height);
    path.lineTo(0, size.height);
    path.quadraticBezierTo(9, size.height / 2, 0, 0);
    return path;
  }

  @override
  bool shouldReclip(CustomClipper<Path> oldClipper) {
    return true;
  }
}
